Index: tareas_puppet/comunes/instala-java-1_7/leeme.txt
===================================================================
--- tareas_puppet/comunes/instala-java-1_7/leeme.txt	(nonexistent)
+++ tareas_puppet/comunes/instala-java-1_7/leeme.txt	(revision 425)
@@ -0,0 +1,49 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula, portátiles y workstations con Debian Squeeze.
+
+Acción  : Instalar java runtime 1.7 y configurar el plugin de java para poder usarlo
+          con iceweasel y firefox.
+
+Notas   : Este módulo puppet está pensado para instalar el paquete de java que corresponda a la arquitectura del cliente.
+		  Descargar previamente los paquetes de java de 32 y 64 bits y almacenarlos en el directorio /var/www/ficheros/java
+          del servidor nfs.
+		  La tarea está pensada para instalar cualquier nueva versión de java sin tener que modificar completamente la tarea, 
+          cambiando tan sólo los nombres de los paquetes a descargar.
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+* Desempaquetar en /etc/puppet/modules
+
+* Editar fichero .pp de la tarea y cambiar los valores de las variables:
+  $servidor (si almacenamos los paquetes que debe instalar la tarea en otro servidor distinto del nfs)
+  $rutadescarga (si almacenamos los paquetes en otra ruta diferente de ficheros/java)
+  $paquete (Cambiar los nombres por la versión actual de los paquetes que queramos instalar)
+
+  $servidor = "servidor"
+
+  $rutadescarga = "ficheros/java"
+
+  case $architecture {
+     amd64: { $paquete = "oracle-j2re1.7_1.7.0+update9_amd64.deb" }
+      i386: { $paquete = "oracle-j2re1.7_1.7.0+update9_i386.deb" }
+
+* Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp, si vamos a 
+  usar el módulo en servidores LTSP.
+  
+
+* Incluir la linea include "nombre_modulo" en la clase específica de portátiles en la que queramos usarlo.
+
+* Incluir la linea include "nombre_modulo" en la clase específica para workstations.
+-------------------------------------------------------------------------------------------------------------
+
+
+Creado por:
+
+Esteban M. Navas Martín
+Administrador informático del IES Valle del Jerte.
+Plasencia
+10-Octubre-2012
Index: tareas_puppet/comunes/instala-java-1_7/manifests/init.pp
===================================================================
--- tareas_puppet/comunes/instala-java-1_7/manifests/init.pp	(nonexistent)
+++ tareas_puppet/comunes/instala-java-1_7/manifests/init.pp	(revision 425)
@@ -0,0 +1,35 @@
+class instala-java-1_7 {
+
+  $servidor = "servidor"
+
+  $rutadescarga = "ficheros/java"
+
+  case $architecture {
+     amd64: { $paquete = "oracle-j2re1.7_1.7.0+update9_amd64.deb" }
+      i386: { $paquete = "oracle-j2re1.7_1.7.0+update9_i386.deb" }
+  }
+
+  file { "/var/cache/java":
+     ensure => directory,
+     mode => 755
+  }
+
+  exec { "/usr/bin/wget -O /var/cache/java/$paquete http://$servidor/$rutadescarga/$paquete; /usr/bin/dpkg -i /var/cache/java/$paquete":
+     alias => "instalar",
+     unless => "/usr/bin/dpkg -l | /bin/grep oracle-j2re1.7 | /bin/grep update9",
+     require => File["/var/cache/java"],
+     timeout => 300
+  }
+
+  file {"/etc/alternatives/mozilla-javaplugin.so":
+    ensure => link,
+    target => "/usr/lib/jvm/j2re1.7-oracle/lib/i386/libnpjp2.so",
+    before => Exec["instalar"]
+  }
+
+  file {"/etc/alternatives/iceweasel-javaplugin.so":
+    ensure => link,
+    target => "/usr/lib/jvm/j2re1.7-oracle/lib/i386/libnpjp2.so",
+    before => Exec["instalar"]
+  }
+}
Index: tareas_puppet/comunes/instala-firefox.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/comunes/instala-firefox.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/comunes/instala-java-1_7.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/comunes/instala-java-1_7.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/comunes/instala-flash/leeme.txt
===================================================================
--- tareas_puppet/comunes/instala-flash/leeme.txt	(nonexistent)
+++ tareas_puppet/comunes/instala-flash/leeme.txt	(revision 425)
@@ -0,0 +1,48 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula, portátiles y workstations con Debian Squeeze.
+
+Acción  : Instala y configura el plugin de flash. 
+
+Notas   : Este módulo puppet está pensado para instalar la versión de flash que corresponda a la arquitectura del cliente.
+		  Descargar previamente los paquetes de flash de 32 y 64 bits y almacenarlos en el directorio /var/www/ficheros/flash
+          del servidor nfs.
+          La tarea está pensada para instalar cualquier nueva versión de flash sin tener que modificar completamente la tarea, 
+          cambiando tan sólo los nombres de los paquetes a descargar.
+
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+* Desempaquetar en /etc/puppet/modules
+
+* Editar fichero .pp de la tarea y cambiar los valores de las variables:
+  $servidor (si almacenamos los paquetes que debe instalar la tarea en otro servidor distinto del nfs)
+  $rutadescarga (si almacenamos los paquetes en otra ruta diferente de ficheros/java)
+  $paquete (Cambiar los nombres por la versión actual de los paquetes que queramos instalar)
+
+  $servidorweb = "servidor"
+
+  $rutadescarga = "ficheros/flash"
+
+  case $architecture {
+     amd64: { $paquete = "install_flash_player_11_linux_amd64.tar.gz" }
+      i386: { $paquete = "install_flash_player_11_linux_i386.tar.gz" }
+
+* Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp, si vamos a 
+  usar el módulo en servidores LTSP.
+  
+* Incluir la linea include "nombre_modulo" en la clase específica de portátiles en la que queramos usarlo.
+
+* Incluir la linea include "nombre_modulo" en la clase específica para workstations.
+-------------------------------------------------------------------------------------------------------------
+
+
+Creado por:
+
+Esteban M. Navas Martín
+Administrador informático del IES Valle del Jerte.
+Plasencia
+10-Octubre-2012
Index: tareas_puppet/comunes/instala-flash/manifests/init.pp
===================================================================
--- tareas_puppet/comunes/instala-flash/manifests/init.pp	(nonexistent)
+++ tareas_puppet/comunes/instala-flash/manifests/init.pp	(revision 425)
@@ -0,0 +1,55 @@
+class instala-flash {
+	
+  $servidorweb = "servidor"
+  $rutadescarga = "ficheros/flash"
+
+  case $architecture {
+     amd64: { $paquete = "install_flash_player_11_linux_amd64.tar.gz" }
+      i386: { $paquete = "install_flash_player_11_linux_i386.tar.gz" }
+  }
+	
+  file { "/var/cache/flashplugin-nonfree":
+     ensure => directory,
+     mode => 755
+  }
+
+  file { "/usr/lib/flashplugin-nonfree":
+     ensure => directory,
+     mode => 755
+  }
+
+  file { "/root/flash":
+     ensure => directory,
+     mode => 755
+  }
+  
+  exec { "/usr/bin/wget -O /var/cache/flashplugin-nonfree/$paquete http://$servidorweb/$rutadescarga/$paquete":
+     alias => "descargar-flash",
+     require => File["/var/cache/flashplugin-nonfree","/root/flash","/usr/lib/flashplugin-nonfree"],
+     creates => "/var/cache/flashplugin-nonfree/$paquete",
+     notify => Exec["descomprime-flash"]
+  }
+
+  exec { "descomprime-flash":
+     command => "/bin/tar xfvz /var/cache/flashplugin-nonfree/$paquete -C /root/flash/",
+     require => Exec["descargar-flash"],
+     creates => "/root/flash/libflashplayer.so",
+     notify => Exec["copia-usr"]
+  }
+
+  file { "/usr/lib/flashplugin-nonfree/libflashplayer.so":
+     alias => "instalar-flash",
+     ensure => file,
+     owner => root, group => root,
+     mode => 644,
+     source => "/root/flash/libflashplayer.so",
+     require => [Exec["copia-usr"], File["/usr/lib/flashplugin-nonfree"]],
+  }  
+
+  exec { "/bin/cp -fr /root/flash/usr/* /usr/":
+     alias => "copia-usr",
+     require => [Exec["descargar-flash"], File["/usr/lib/flashplugin-nonfree"]],
+     creates => "/usr/bin/flash-player-properties",
+     refreshonly => true
+  }
+}
Index: tareas_puppet/comunes/instala-flash.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/comunes/instala-flash.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/comunes/instala-firefox/leeme.txt
===================================================================
--- tareas_puppet/comunes/instala-firefox/leeme.txt	(nonexistent)
+++ tareas_puppet/comunes/instala-firefox/leeme.txt	(revision 425)
@@ -0,0 +1,49 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula, portátiles y workstations con Debian Squeeze.
+
+Acción  : Instalar firefox y configurar restricciones para el usuario.
+
+Notas   : Este módulo puppet está pensado para instalar la versión de firefox que corresponda a la arquitectura del cliente.
+		  Descargar previamente los paquetes de firefox de 32 y 64 bits y almacenarlos en el directorio /var/www/ficheros/firefox
+          del servidor nfs.
+          La tarea está pensada para instalar cualquier nueva versión de firefox sin tener que modificar completamente la tarea, 
+          cambiando tan sólo los nombres de los paquetes a descargar.
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+* Desempaquetar en /etc/puppet/modules
+
+* Editar fichero .pp de la tarea y cambiar los valores de las variables:
+  $servidor (si almacenamos los paquetes que debe instalar la tarea en otro servidor distinto del nfs)
+  $rutadescarga (si almacenamos los paquetes en otra ruta diferente de ficheros/firefox)
+  $paquete (Cambiar los nombres por la versión actual de firefox que queramos instalar)
+
+  $servidor = "servidor"
+  
+  $rutadescarga = "ficheros/firefox"
+
+  case $architecture {
+     amd64: { $paquete = "firefox-16.0.1-amd64.tar.bz2" }
+      i386: { $paquete = "firefox-16.0.1-i386.tar.bz2" }
+  }
+
+* Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp, si vamos a 
+  usar el módulo en servidores LTSP.
+  
+
+* Incluir la linea include "nombre_modulo" en la clase específica de portátiles en la que queramos usarlo.
+
+* Incluir la linea include "nombre_modulo" en la clase específica para workstations.
+-------------------------------------------------------------------------------------------------------------
+
+
+Creado por:
+
+Esteban M. Navas Martín
+Administrador informático del IES Valle del Jerte.
+Plasencia
+10-Octubre-2012
Index: tareas_puppet/comunes/instala-firefox/manifests/init.pp
===================================================================
--- tareas_puppet/comunes/instala-firefox/manifests/init.pp	(nonexistent)
+++ tareas_puppet/comunes/instala-firefox/manifests/init.pp	(revision 425)
@@ -0,0 +1,53 @@
+class instala-firefox {
+
+  $servidor = "servidor"
+  $rutadescarga = "ficheros/firefox"
+
+  case $architecture {
+     amd64: { $paquete = "firefox-16.0.1-amd64.tar.bz2" }
+      i386: { $paquete = "firefox-16.0.1-i386.tar.bz2" }
+  }
+	
+  file { "/opt":
+     ensure => directory,
+     mode => 755
+  }
+  
+  file { "/var/cache/firefox":
+     ensure => directory,
+     mode => 755
+  }
+
+  exec { "/usr/bin/wget -O /var/cache/firefox/$paquete http://$servidor/$rutadescarga/$paquete":
+     alias => "descargar-firefox",
+     require => File[["/var/cache/firefox"],["/opt"]],
+     creates => "/var/cache/firefox/$paquete",
+     before => [ File["/opt/firefox/defaults/pref/local-settings.js"], File["/opt/firefox/firefox.cfg"] ],
+     notify => Exec["descomprimir-firefox"],
+     timeout => 180
+  }
+
+  exec { "/bin/tar xfvj /var/cache/firefox/$paquete -C /opt/":
+     alias => "descomprimir-firefox",
+     require => [ Exec["descargar-firefox"],File["/opt"] ],
+     creates => "/opt/firefox"
+  }  
+
+  file { "/usr/bin/iceweasel":
+     ensure => 'link',
+     target => "/opt/firefox/firefox",
+     require => Exec["descargar-firefox"]
+  }
+
+  file { "/opt/firefox/defaults/pref/local-settings.js":
+     owner=>root, group=>root, mode=>755,
+     source=>"puppet:///instala-firefox/local-settings.js",
+     require => Exec["descargar-firefox"]
+  }
+
+  file {"/opt/firefox/firefox.cfg":
+     owner=>root, group=>root, mode=>755,
+     source=>"puppet:///instala-firefox/firefox.cfg",
+     require => Exec["descargar-firefox"]
+  }
+}
Index: tareas_puppet/comunes/instala-firefox/files/firefox.cfg
===================================================================
--- tareas_puppet/comunes/instala-firefox/files/firefox.cfg	(nonexistent)
+++ tareas_puppet/comunes/instala-firefox/files/firefox.cfg	(revision 425)
@@ -0,0 +1,30 @@
+// Lock specific preferences in Firefox so that users cannot edit them
+lockPref("app.update.enabled", false);
+lockPref("browser.startup.homepage", "http://www.iesvalledeljerteplasencia.es/");
+pref("browser.shell.checkDefaultBrowser", false);
+
+// Desactivar el uso de proxies
+lockPref("network.proxy.type", 0);
+
+// Desactivar ipv6
+lockPref("network.dns.disableIPv6", true);
+
+// Definimos como papel por defecto A4
+pref("print.postscript.paper_size","A4");
+
+// Definimos una cache de 10MB
+lockPref("browser.cache.disk.capacity",10000);
+
+pref("app.update.auto", false);
+pref("browser.search.update", false);
+pref("extensions.update.enabled", false);
+pref("app.update.enabled", false);
+pref("browser.cache.disk.enable", false);
+pref("extensions.shownSelectionUI", true);
+pref("extensions.autoDisableScopes", 0);
+pref("browser.rights.3.shown", true);
+pref("browser.shell.checkDefaultBrowser", false);
+pref("toolkit.telemetry.enabled", false);
+pref("toolkit.telemetry.prompted", 2);
+pref("toolkit.telemetry.rejected", true);
+pref("general.useragent.locale", "es-ES");
Index: tareas_puppet/comunes/instala-firefox/files/local-settings.js
===================================================================
--- tareas_puppet/comunes/instala-firefox/files/local-settings.js	(nonexistent)
+++ tareas_puppet/comunes/instala-firefox/files/local-settings.js	(revision 425)
@@ -0,0 +1,2 @@
+pref("general.config.obscure_value", 0);
+pref("general.config.filename", "firefox.cfg");