Index: scripts/ltsp-server/pxe_grub/menu.lst
===================================================================
--- scripts/ltsp-server/pxe_grub/menu.lst	(nonexistent)
+++ scripts/ltsp-server/pxe_grub/menu.lst	(revision 431)
@@ -0,0 +1,136 @@
+# menu.lst - See: grub(8), info grub, update-grub(8)
+#            grub-install(8), grub-floppy(8),
+#            grub-md5-crypt, /usr/share/doc/grub
+#            and /usr/share/doc/grub-legacy-doc/.
+
+## default num
+# Set the default entry to the entry number NUM. Numbering starts from 0, and
+# the entry number 0 is the default if the command is not used.
+#
+# You can specify 'saved' instead of a number. In this case, the default entry
+# is the entry saved with the command 'savedefault'.
+# WARNING: If you are using dmraid do not change this entry to 'saved' or your
+# array will desync and will not let you boot your system.
+default		0
+
+## timeout sec
+# Set a timeout, in SEC seconds, before automatically booting the default entry
+# (normally the first entry defined).
+timeout		5
+
+# Pretty colours
+color cyan/blue white/blue
+
+## password ['--md5'] passwd
+# If used in the first section of a menu file, disable all interactive editing
+# control (menu entry editor and command-line)  and entries protected by the
+# command 'lock'
+# e.g. password topsecret
+password --md5 $1$b3jFl$QqVAvOdFEYVKgyyQuz6DE.# password topsecret
+
+#
+# examples
+#
+# title		Windows 95/98/NT/2000
+# root		(hd0,0)
+# makeactive
+# chainloader	+1
+#
+# title		Linux
+# root		(hd0,1)
+# kernel	/vmlinuz root=/dev/hda2 ro
+#
+
+#
+# Put static boot stanzas before and/or after AUTOMAGIC KERNEL LIST
+splashimage=(hd0,0)/grub/splashimages/splash-debian-edu.xpm.gz
+password --md5 $1$zUIwua3V$zthXf1O58pvI4vVBd.gYA1
+### BEGIN AUTOMAGIC KERNELS LIST
+## lines between the AUTOMAGIC KERNELS LIST markers will be modified
+## by the debian update-grub script except for the default options below
+
+## DO NOT UNCOMMENT THEM, Just edit them to your needs
+
+## ## Start Default Options ##
+## default kernel options
+## default kernel options for automagic boot options
+## If you want special options for specific kernels use kopt_x_y_z
+## where x.y.z is kernel version. Minor versions can be omitted.
+## e.g. kopt=root=/dev/hda1 ro
+##      kopt_2_6_8=root=/dev/hdc1 ro
+##      kopt_2_6_8_2_686=root=/dev/hdc2 ro
+# kopt=root=/dev/mapper/linextsp-root ro
+
+## default grub root device
+## e.g. groot=(hd0,0)
+# groot=(hd0,0)
+
+## should update-grub create alternative automagic boot options
+## e.g. alternative=true
+##      alternative=false
+# alternative=true
+
+## should update-grub lock alternative automagic boot options
+## e.g. lockalternative=true
+##      lockalternative=false
+# lockalternative=false
+
+## additional options to use with the default boot option, but not with the
+## alternatives
+## e.g. defoptions=vga=791 resume=/dev/hda5
+# defoptions=quiet
+
+## should update-grub lock old automagic boot options
+## e.g. lockold=false
+##      lockold=true
+# lockold=false
+
+## Xen hypervisor options to use with the default Xen boot option
+# xenhopt=
+
+## Xen Linux kernel options to use with the default Xen boot option
+# xenkopt=console=tty0
+
+## altoption boot targets option
+## multiple altoptions lines are allowed
+## e.g. altoptions=(extra menu suffix) extra boot options
+##      altoptions=(single-user) single
+# altoptions=(single-user mode) single
+
+## controls how many kernels should be put into the menu.lst
+## only counts the first occurence of a kernel, not the
+## alternative kernel options
+## e.g. howmany=all
+##      howmany=7
+# howmany=all
+
+## should update-grub create memtest86 boot option
+## e.g. memtest86=true
+##      memtest86=false
+# memtest86=true
+
+## should update-grub adjust the value of the default booted system
+## can be true or false
+# updatedefaultentry=false
+
+## should update-grub add savedefault to the default options
+## can be true or false
+# savedefault=false
+
+## ## End Default Options ##
+
+title		PXE
+root		(hd0,0)
+kernel		/pxe.lkrn
+
+title		Debian GNU/Linux, kernel 2.6.30-1-amd64
+root		(hd0,0)
+kernel		/vmlinuz-2.6.30-1-amd64 root=/dev/mapper/linextsp-root ro quiet
+initrd		/initrd.img-2.6.30-1-amd64
+
+title		Debian GNU/Linux, kernel 2.6.30-1-amd64 (single-user mode)
+root		(hd0,0)
+kernel		/vmlinuz-2.6.30-1-amd64 root=/dev/mapper/linextsp-root ro single
+initrd		/initrd.img-2.6.30-1-amd64
+
+### END DEBIAN AUTOMAGIC KERNELS LIST
Index: scripts/ltsp-server/pxe_grub/pxe.lkrn
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: scripts/ltsp-server/pxe_grub/pxe.lkrn
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: scripts/ltsp-server/pxe_grub/pxe_grub.sh
===================================================================
--- scripts/ltsp-server/pxe_grub/pxe_grub.sh	(nonexistent)
+++ scripts/ltsp-server/pxe_grub/pxe_grub.sh	(revision 431)
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+#backup
+cp /boot/grub/menu.lst /var/cache/menu_grub.lst.backup
+
+wget http://servidor/pxe_grub/pxe.lkrn -P /boot -N
+wget http://servidor/pxe_grub/menu.lst -P /boot/grub -N
+chmod +rx /boot/pxe.lkrn