Index: controlies/trunk/applications/controlies/views/laptops/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/laptops/index.html	(revision 435)
+++ controlies/trunk/applications/controlies/views/laptops/index.html	(revision 436)
@@ -5,9 +5,9 @@
 {{#response.files.append(URL('static','css/helper.css'))}}
 {{#response.files.append(URL('static','css/dropdown.css'))}}
 {{#response.files.append(URL('static','css/default.advanced.css'))}}
- 
-{{extend 'layout.html'}}
 
+{{extend 'layout.html'}}  
+
         <div id="tabla_clientes" class="centerGrid">
             <table id="list" width="100%"></table>
             <div id="pager" style=""></div> 
@@ -126,7 +126,7 @@
             jQuery("#messageLoading").show();
         
             jQuery("#dialog-form").html("").css("display","none");
-            jQuery("#dialog-form").load("form.html", function() {
+            jQuery("#dialog-form").load("form.html", function(data) {
 				getAllLaptopTypes();
 				            	
                 jQuery("#form_data #action").val("add");
Index: controlies/trunk/applications/controlies/controllers/usuarios.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/usuarios.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/usuarios.py	(revision 436)
@@ -2,7 +2,8 @@
 from applications.controlies.modules.Users import Users
 from applications.controlies.modules.Utils import Utils
     
-def index():    
+def index():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
 
Index: controlies/trunk/applications/controlies/controllers/reports.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/reports.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/reports.py	(revision 436)
@@ -1,9 +1,11 @@
 # coding: latin1
 
-def laptops(): 
+def laptops():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
-def users(): 
+def users():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
 @service.json 
Index: controlies/trunk/applications/controlies/controllers/grupos.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/grupos.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/grupos.py	(revision 436)
@@ -1,7 +1,8 @@
 # coding: utf8
 from applications.controlies.modules.Groups import Groups
                 
-def index(): 
+def index():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
 @service.json
Index: controlies/trunk/applications/controlies/controllers/laptops_trademarks.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/laptops_trademarks.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/laptops_trademarks.py	(revision 436)
@@ -4,7 +4,8 @@
 from applications.controlies.modules.Utils import Utils
 from applications.controlies.modules.Users import Users
 
-def index():  
+def index():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
 ################## LAPTOPS ####################
Index: controlies/trunk/applications/controlies/controllers/hosts.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/hosts.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/hosts.py	(revision 436)
@@ -2,8 +2,10 @@
 from applications.controlies.modules.Hosts import Hosts
     
 def index():
-#equivalente a list
-    return dict(message="hello from hosts.py")
+    if not auth.user:
+        session.flash='Debe iniciar sesión'
+        redirect(URL(c='default'))
+    return dict()
     
 @service.json
 def getHostData():
@@ -62,12 +64,24 @@
     
 #necesaria estas funciones en el controlador para poder cargar las vistas correspondientes:    
 def ltspservers():
+    if not auth.user:
+        session.flash='Debe iniciar sesión'
+        redirect(URL(c='default',f='index'))
+        
     return dict()
     
 def workstations():
+    if not auth.user:
+        session.flash='Debe iniciar sesión'
+        redirect(URL(c='default',f='index'))
+        
     return dict()    
 
 def laptops():
+    if not auth.user:
+        session.flash='Debe iniciar sesión'
+        redirect(URL(c='default',f='index'))
+
     return dict()    
 
 def form_ltspserver():
Index: controlies/trunk/applications/controlies/controllers/laptops_groups.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/laptops_groups.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/laptops_groups.py	(revision 436)
@@ -5,7 +5,8 @@
 from applications.controlies.modules.LaptopsHistory import LaptopsHistory
 from applications.controlies.modules.SQLiteConnection import SQLiteConnection
 
-def index(): 
+def index():
+    if not auth.user: redirect(URL(c='default'))
     return dict()
 
 @service.json
Index: controlies/trunk/applications/controlies/controllers/laptops.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/laptops.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/laptops.py	(revision 436)
@@ -5,7 +5,11 @@
 from applications.controlies.modules.Users import Users
 
 
-def index(): 
+def index():
+    if not auth.user:
+        session.flash='Debe iniciar sesión'
+        redirect(URL(c='default'))
+        
     return dict()
 
 ################## LAPTOPS ####################
@@ -117,6 +121,9 @@
     return dict()
 
 def form():
+    if not auth.user:        
+        return "session_out"
+    
     return dict()
 
 def call():
Index: controlies/trunk/applications/controlies/controllers/thinclients.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/thinclients.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/thinclients.py	(revision 436)
@@ -2,8 +2,8 @@
 from applications.controlies.modules.Thinclients import Thinclients
     
 def index():
-#equivalente a list
-    return dict(message="hello from thinclients.py")
+    if not auth.user: redirect(URL(c='default'))
+    return dict()
     
 @service.json
 def getHostData():
Index: controlies/trunk/applications/controlies/controllers/gestion.py
===================================================================
--- controlies/trunk/applications/controlies/controllers/gestion.py	(revision 435)
+++ controlies/trunk/applications/controlies/controllers/gestion.py	(revision 436)
@@ -69,6 +69,7 @@
 @service.json   
 @auth.requires_login()
 def servidores_aula():
+    if not auth.user: redirect(URL(c='default',f='index'))
     return dict()
     
 @service.json   
@@ -103,6 +104,8 @@
 
 @auth.requires_login()    
 def rayuela():
+    if not auth.user: redirect(URL(c='default',f='index'))
+    
     import StringIO
 
     right_version=right_firefox_version(request.env.http_user_agent)
Index: controlies/trunk/applications/controlies/modules/Utils/Utils.py
===================================================================
--- controlies/trunk/applications/controlies/modules/Utils/Utils.py	(revision 435)
+++ controlies/trunk/applications/controlies/modules/Utils/Utils.py	(revision 436)
@@ -85,4 +85,4 @@
 	else:
 		homeDirectory = "/home/alumnos/"
 		
-	return homeDirectory
+	return homeDirectory
\ No newline at end of file