Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/manifests/init.pp	(revision 455)
@@ -0,0 +1,51 @@
+class ltsp_ramzswap {
+
+   file { "/opt/ltsp/i386/root/ramzswap" :
+	owner=>root, group=>root, mode=>644,
+	ensure => directory,
+   }
+
+   file { "/opt/ltsp/i386/lib/modules/2.6.32-5-686/kernel/ramzswap.ko" :
+      owner=>root, group=>root, mode=>664,
+      source=>"puppet:///modules/ltsp_ramzswap/ramzswap/ramzswap.ko",
+   }
+
+   file { "/opt/ltsp/i386/usr/bin/rzscontrol" :
+      owner=>root, group=>root, mode=>755,
+      source=>"puppet:///modules/ltsp_ramzswap/ramzswap/rzscontrol",
+   }
+
+   file { "/opt/ltsp/i386/etc/init.d/ramzswap.sh" :
+      owner=>root, group=>root, mode=>755,
+      source=>"puppet:///modules/ltsp_ramzswap/ramzswap/ramzswap.sh",
+      notify=> Exec ["crea-enlaces-ramzswap"],
+   }
+
+   file { "/opt/ltsp/i386/root/ramzswap/desactiva.sh" :
+      owner=>root, group=>root, mode=>755,
+      source=>"puppet:///modules/ltsp_ramzswap/ramzswap/desactiva.sh",
+      require => File ["/opt/ltsp/i386/root/ramzswap","/opt/ltsp/i386/etc/init.d/ramzswap.sh"],
+   }
+
+   file { "/opt/ltsp/i386/root/ramzswap/inicializa.sh" :
+      owner=>root, group=>root, mode=>755,
+      source=>"puppet:///modules/ltsp_ramzswap/ramzswap/inicializa.sh",
+      require => File ["/opt/ltsp/i386/root/ramzswap","/opt/ltsp/i386/etc/init.d/ramzswap.sh"],
+      before => Exec ["crea-enlaces-ramzswap"],
+      notify => Exec ["regenera-imagen-ramzswap"],
+   }
+
+   exec { "crea-enlaces-ramzswap" :
+	path => "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+        command => "chroot /opt/ltsp/i386 update-rc.d ramzswap.sh defaults",
+	require => File ["/opt/ltsp/i386/etc/init.d/ramzswap.sh"],
+	unless => "ls /opt/ltsp/i386/etc/rc2.d/S05ramzswap.sh",
+   }
+
+   exec { "regenera-imagen-ramzswap" :
+	path => "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+        command => "ltsp-update-image --arch i386",
+        refreshonly => true;
+   }
+
+}
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/rzscontrol
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/rzscontrol
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/inicializa.sh
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/inicializa.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/inicializa.sh	(revision 455)
@@ -0,0 +1,18 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          inicializa.sh
+# Required-Start:
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: inicializa la ramzswap
+### END INIT INFO
+
+modprobe lzo_compress
+modprobe lzo_decompress
+
+insmod /lib/modules/2.6.32-5-686/kernel/ramzswap.ko num_devices=1 disksize_kb=65536
+
+rzscontrol /dev/ramzswap0 --init
+
+swapon -p 100 /dev/ramzswap0

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/inicializa.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/desactiva.sh
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/desactiva.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/desactiva.sh	(revision 455)
@@ -0,0 +1,15 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          inicializa.sh
+# Required-Start:
+# Required-Stop:
+# Default-Start:
+# Default-Stop:      0,1,6
+# Short-Description: desactiva la ramzswap
+### END INIT INFO
+
+swapoff /dev/ramzswap0
+
+rzscontrol /dev/ramzswap0 --reset
+
+rmmod ramzswap

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/desactiva.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.ko
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.ko
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.sh
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.sh	(revision 455)
@@ -0,0 +1,39 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          ramzswap.sh
+# Required-Start:    $remote_fs $syslog $all
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: inicializa la ramzswap
+### END INIT INFO
+
+
+set -e
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+. /lib/init/swap-functions.sh
+
+case "$1" in
+
+  start|"")
+        # Activa ramz
+	/root/ramzswap/inicializa.sh
+        ;;
+  restart|reload|force-reload)
+        echo "Error: argument '$1' not supported" >&2
+        exit 3
+        ;;
+  stop)
+        # Desactiva ramz
+	/root/ramzswap/desactiva.sh
+        ;;
+  *)
+        echo "Usage: ramzwap.sh [start|stop]" >&2
+        exit 3
+        ;;
+esac
+
+exit 0
+

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/files/ramzswap/ramzswap.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap/leeme.txt	(revision 455)
@@ -0,0 +1,29 @@
+Configura los terminales de aula con la swap tirando de memoria RAM, en vez de disco.
+Esto hace que todos los procesos de I/O sean mucho más rápidos.
+
+Se intenta evitar el problema de cuelgues en los thinclients por uso de procesador al 100%.
+
+Por defecto la configuración de ramzswap coge 64 Mb de RAM (para equipos con 256 Mb).
+Este parámetro se puede cambiar si se dispone de más RAM en el equipo cliente.
+
+IMPORTANTE:
+#######################################################################################
+Esta tarea es solo para thinclients con el núcleo 2.6.32 (como los modelos fujitsu), 
+ya que está compilado el módulo para que funcione con dicho kernel.
+
+La swap actual de disco está activa, pero la swap en ram se activa con prioridad 100, 
+es decir, se usará antes la swap de ram que la swap en disco. 
+##########################################################################################
+
+Autor: Oscar Vaquero (Administración SI)
+
+Creación de tarea puppet y pruebas.
+Francisco Rodrigo López
+IES Javier García Téllez (Caceres).
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules.
+Incluirlo en clase-especifica-squeeze.pp
+
Index: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/ltsp_ramzswap.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property