Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/manifests/init.pp	(revision 458)
@@ -0,0 +1,70 @@
+class add-opciones-arranque-terminal {
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/memdisk" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/memdisk",
+      owner => root, group => root, mode => 644
+   }
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/chain.c32" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/chain.c32",
+      owner => root, group => root, mode => 644
+   }
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/plpbt.bin" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/plpbt.bin",
+      owner => root, group => root, mode => 644
+   }
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/default",
+      owner => root, group => root, mode => 644
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/Floppy" :
+      ensure => directory, owner => root,  group => root, mode => 755,
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/Floppy/fbiosnec.img" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/fbiosnec.img",
+      owner => root,  group => root, mode => 644,
+      require => File["/var/lib/tftpboot/ltsp/i386/Floppy"];
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/clonezilla" :
+      ensure => directory, owner => root,  group => root, mode => 755,
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/clonezilla/initrd.img" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/initrd.img.clonezilla",
+      owner => root,  group => root, mode => 644,
+      require => File["/var/lib/tftpboot/ltsp/i386/clonezilla"];
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/clonezilla/vmlinuz" :
+      source => "puppet://puppetinstituto/add-opciones-arranque-terminal/vmlinuz.clonezilla",
+      owner => root,  group => root, mode => 644,
+      require => File["/var/lib/tftpboot/ltsp/i386/clonezilla"];
+   }
+
+   file {"/root/filesystem-clonezilla.sh":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///add-opciones-arranque-terminal/filesystem-clonezilla.sh",
+        notify => Exec["descarga-filesystem-clonezilla"],
+        }
+
+   exec {"descarga-filesystem-clonezilla":
+        command => "/root/filesystem-clonezilla.sh",
+        require => File["/root/filesystem-clonezilla.sh"],
+        refreshonly => true,
+       }
+
+}
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/fbiosnec.img
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/fbiosnec.img
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/default
===================================================================
--- tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/default	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/default	(revision 458)
@@ -0,0 +1,28 @@
+DEFAULT ltsp
+
+# Para usar ltsp
+LABEL ltsp
+kernel vmlinuz
+#append ro initrd=initrd.img quiet splash keeppxe nbdport=2000
+append ro initrd=initrd.img quiet keeppxe nbdport=2000
+
+
+# Para flashear la BIOS del terminal
+LABEL flashbios
+	kernel memdisk
+	append initrd=Floppy/fbiosnec.img
+
+# PLOP Boot Manager
+LABEL plp
+	linux plpbt.bin
+
+# Clonezilla live
+LABEL clonezilla
+	kernel clonezilla/vmlinuz
+	append initrd=clonezilla/initrd.img boot=live live-config noswap nolocales edd=on nomodeset ocs_live_run="ocs-live-general" ocs_live_extra_param="" ocs_live_keymap="" ocs_live_batch="no" ocs_lang="" vga=788 nosplash fetch=tftp://192.168.0.254/ltsp/i386/clonezilla/filesystem.squashfs
+
+# Arrancar desde el disco duro
+LABEL local
+        kernel chain.c32
+        append hd0 0
+
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/filesystem-clonezilla.sh
===================================================================
--- tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/filesystem-clonezilla.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/filesystem-clonezilla.sh	(revision 458)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ ! -e /root/descargas ];  then mkdir /root/descargas;  fi
+cd /root/descargas
+
+wget -q http://servidor/ficheros/filesystem.squashfs.clonezilla
+
+# Instala en profesor
+if [ -e filesystem.squashfs.clonezilla ]; then
+   mv filesystem.squashfs.clonezilla /var/lib/tftpboot/ltsp/i386/clonezilla/filesystem.squashfs
+fi

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/filesystem-clonezilla.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/chain.c32
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/chain.c32
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/plpbt.bin
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/plpbt.bin
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/memdisk
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/memdisk
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/initrd.img.clonezilla
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/initrd.img.clonezilla
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/vmlinuz.clonezilla
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal/files/vmlinuz.clonezilla
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/squeeze/add-opciones-arranque-terminal.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property